primesieve::Callback< T > Class Template Referenceabstract

callback interface class. More...

`#include <Callback.hpp>`

## Public Member Functions

virtual void | callback (T prime)=0

## Detailed Description

### template<typename T>
class primesieve::Callback< T >

callback interface class.

Objects derived from this class can be passed to the primesieve::generate_primes() functions.

Parameters

  T | must be uint64_t.

The documentation for this class was generated from the following file:

- Callback.hpp